/*
* Binaeruhr
* Autor: Karsten Mueller
* email@kmkcl.de
*/
#ifndef BINUHR_H_
#define BINUHR_H_

/*to configure*/

//Tag bzw. Nachtbeginn
#define NACHT 22
#define TAG 8

//Starthelligkeiten nach Neustart 0-8 erlaubt
unsigned char dunkel=1;
unsigned char hell=4;

/*end of configure*/
#define stufenLength 9
const uint8_t ausgaenge[]={1,2,4,8,16,64};
const uint8_t stufen[stufenLength]={0,0,3,12,24,60,102,156,254}; //in etwa dem Helligkeitsempfinden des Auges angepasst.

#define DS1307  0b11010000
#define KEY_UP	PA0
#define KEY_DOWN PA1
#define REPEAT_MASK	(1<<KEY_DOWN)	// repeat: key1, key2
#define REPEAT_START	50		// after 500ms
#define REPEAT_NEXT	20		// every 200ms

uint8_t key_state;			// debounced and inverted key state:
					// bit = 1: key pressed
uint8_t key_press;			// key press detect
uint8_t key_rpt;			// key long press and repeat

struct AnzeigeT{
	uint8_t leds[6];
	uint8_t *helligkeit;
} anzeige;

struct TimeT{
	uint8_t hh;
	uint8_t mm;
	uint8_t ss;
} zeit;

uint8_t daten[18]; //Datenpacket I2C

#endif
